// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

events.listen('item.registry', function (event) {
	//Adding presses
	//event.create('logic_press').displayName('Logic Processor Press').setContainerItem('kubejs:logic_press'),
	
	//event.create('engineering_press').displayName('Engineering Processor Press').setContainerItem('kubejs:engineering_press'),
	
	//event.create('calculation_press').displayName('Calculation Processor Press').setContainerItem('kubejs:calculation_press'),
	
	//event.create('silicon_press').displayName('Silicon Press').setContainerItem('kubejs:silicon_press'),
	
	// of.item('kubejs:logic_press').setContainerItem('kubejs:logic_press')
	
	//of.item('appliedenergistics2:silicon_press').setContainerItem('appliedenergistics2:silicon_press')
	//of.item('appliedenergistics2:logic_processor_press').setContainerItem('appliedenergistics2:logic_processor_press')
	
	//adding microcontrollers
	event.create('basic_microcontroller').displayName('Basic Microcontroller'),
	event.create('mid_microcontroller').displayName('Integrated Microcontroller'),
	event.create('high_microcontroller').displayName('Advanced Microcontroller'),
	event.create('extreme_microcontroller').displayName('Strawberry Cake'),
	
	
	//Adding components
	event.create('basic_pcb').displayName('Basic PCB'),
	event.create('mid_pcb').displayName('Integrated PCB'),
	event.create('advanced_pcb').displayName('Advanced PCB'),
	event.create('extreme_pcb').displayName('Nano PCB'),
	
	event.create('basic_pcb_wired').displayName('Basic Wired PCB'),
	event.create('mid_pcb_wired').displayName('Integrated Wired PCB'),
	event.create('advanced_pcb_wired').displayName('Advanced Wired PCB'),
	event.create('extreme_pcb_wired').displayName('Nano Wired PCB'),
	
	event.create('basic_case').displayName('Hardened Casing'),
	event.create('mid_case').displayName('Strengthened Casing'),
	event.create('advanced_case').displayName('Hardened Casing'),
	
	event.create('carbon_fibre').displayName('Carbon Fibre'),
	event.create('carbon_mesh').displayName('Carbon Fibre Mesh'),
	event.create('carbon_plate').displayName('Carbon Plate')
})

events.listen('fluid.registry', event => {
	event.create('molten_glass').displayName('Molten Glass').color(new Color(170, 170, 170, 50).getRGB()).textureThick(new Color(170, 170, 170, 60).getRGB()).textureThin(new Color(170, 170, 170, 40).getRGB()).textureStill('kubejs:textures/block/fluid/glass_fluid.png').textureFlowing('kubejs:textures/block/fluid/glass_fluid.png')
})


events.listen('item.tags', event => {
	event.get('forge:sand').add('byg:purple_sand')
	function addToTag(tag, item){
		event.get(tag).add(item)
	}
	function removeFromTag(tag, item){
		event.get(tag).remove(item)
	}
	
	addToTag('forge:sand', 'byg:pink_sand')
	addToTag('forge:sand', 'byg:black_sand')
	addToTag('forge:storage_blocks/quartz', 'byg:raw_quartz_block')
	addToTag('forge:sand', 'byg:quartzite_sand')
	removeFromTag('forge:ores/uranium', 'immersiveengineering:ore_uranium')
	removeFromTag('forge:ores/nickel', 'immersiveengineering:ore_nickel')
	removeFromTag('forge:ores/copper', 'immersiveengineering:ore_copper')
	removeFromTag('forge:ores/copper', 'create:copper_ore')
	removeFromTag('forge:ores/copper', 'mekanism:copper_ore')
	removeFromTag('forge:ores/tin', 'mekanism:tin_ore')
	removeFromTag('forge:ores/lead', 'mekanism:lead_ore')
	removeFromTag('forge:ores/lead', 'immersiveengineering:ore_lead')
	removeFromTag('forge:ores/silver', 'immersiveengineering:ore_silver')
})

events.listen('block.registry', event => {
  // Register new blocks here
  // event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})

